FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Desktop

 
 
LinkBack Thread Tools
 
Old 01-08-2010, 08:37 AM
Jim Meyering
 
Default Upgrade parted to 2.1 for Fedora-13 ?

Hans de Goede wrote:
> Hi All,
>
> I was planning on staying with parted-1.9.0 + the load
> of patches we are carry-ing for now, but given bug 553518, we
> might need to reconsider this.
>
> So I'm now thinking about upgrading parted to 2.1
> for Fedora 13 and maybe also for RHEL-6 (we also
> have a RHEL-6 bug about 4k sectors: bug 523954).
>
> Upgrading to 2.1 also has the advantage that it has
> much robuster gpt support.

This is a good argument, too.

> I only have 2 worries:
> 1) All my recent dasd patches have been forward
> ported, and some tests have been run to make sure
> dasd support works, still we may see some regressions
> there (but nothing that should be unfixable, as there
> are no major differences in the dasd support).
>
> 2) All libparted users will need to be rebuild as
> the soname will change (the API is presevered, so a
> simple rebuild will suffice):
> [hans@localhost ~]$ repoquery -q --whatrequires 'libparted-1.9.so.0()(64bit)'
> gparted-0:0.4.6-1.fc12.x86_64
> qtparted-0:0.4.5-22.fc12.x86_64
> DeviceKit-disks-0:009-3.fc12.x86_64
> pyparted-0:2.1.2-1.fc12.x86_64
> gparted-0:0.4.8-1.fc12.x86_64
> kde-partitionmanager-0:1.0.0-2.fc12.x86_64
> libvirt-0:0.7.1-15.fc12.x86_64

That seems like minimal pain for worthwhile improvements.
But I'm biased ;-)

There's bound to be some fall-out, but I'd rather see it
happen sooner than later.

_______________________________________________
Anaconda-devel-list mailing list
Anaconda-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/anaconda-devel-list
 
Old 01-08-2010, 08:01 PM
David Cantrell
 
Default Upgrade parted to 2.1 for Fedora-13 ?

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sat, 9 Jan 2010, Hans de Goede wrote:


Hi All,

I was planning on staying with parted-1.9.0 + the load
of patches we are carry-ing for now, but given bug 553518, we
might need to reconsider this.

So I'm now thinking about upgrading parted to 2.1
for Fedora 13 and maybe also for RHEL-6 (we also
have a RHEL-6 bug about 4k sectors: bug 523954).

Upgrading to 2.1 also has the advantage that it has
much robuster gpt support.


I think this will be helpful for RHEL-6.


I only have 2 worries:
1) All my recent dasd patches have been forward
ported, and some tests have been run to make sure
dasd support works, still we may see some regressions
there (but nothing that should be unfixable, as there
are no major differences in the dasd support).


The DASD stuff has been iffy in the past, so I imagine regardless of rebasing
parted or not, we'll still have some patch massaging to do.


2) All libparted users will need to be rebuild as
the soname will change (the API is presevered, so a
simple rebuild will suffice):
[hans@localhost ~]$ repoquery -q --whatrequires 'libparted-1.9.so.0()(64bit)'
gparted-0:0.4.6-1.fc12.x86_64
qtparted-0:0.4.5-22.fc12.x86_64
DeviceKit-disks-0:009-3.fc12.x86_64
pyparted-0:2.1.2-1.fc12.x86_64
gparted-0:0.4.8-1.fc12.x86_64
kde-partitionmanager-0:1.0.0-2.fc12.x86_64
libvirt-0:0.7.1-15.fc12.x86_64


I wouldn't worry about this at all. The Fedora package police will pick up on
this and get things rebuilt if the package maintainers do beat them to it.

- --
David Cantrell <dcantrell@redhat.com>

Red Hat / Honolulu, HI

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.13 (GNU/Linux)

iEYEARECAAYFAktHnT4ACgkQ5hsjjIy1Vkmo+ACdEV3e5KLOo1 Q5VT/Y2yY3ksKH
WOYAnA4kCK0cxgtxUCc0J8ZonxIh2Lfw
=rcbE
-----END PGP SIGNATURE-----

_______________________________________________
Anaconda-devel-list mailing list
Anaconda-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/anaconda-devel-list
 
Old 01-09-2010, 08:24 AM
Hans de Goede
 
Default Upgrade parted to 2.1 for Fedora-13 ?

Hi All,

I was planning on staying with parted-1.9.0 + the load
of patches we are carry-ing for now, but given bug 553518, we
might need to reconsider this.

So I'm now thinking about upgrading parted to 2.1
for Fedora 13 and maybe also for RHEL-6 (we also
have a RHEL-6 bug about 4k sectors: bug 523954).

Upgrading to 2.1 also has the advantage that it has
much robuster gpt support.

I only have 2 worries:
1) All my recent dasd patches have been forward
ported, and some tests have been run to make sure
dasd support works, still we may see some regressions
there (but nothing that should be unfixable, as there
are no major differences in the dasd support).

2) All libparted users will need to be rebuild as
the soname will change (the API is presevered, so a
simple rebuild will suffice):
[hans@localhost ~]$ repoquery -q --whatrequires 'libparted-1.9.so.0()(64bit)'
gparted-0:0.4.6-1.fc12.x86_64
qtparted-0:0.4.5-22.fc12.x86_64
DeviceKit-disks-0:009-3.fc12.x86_64
pyparted-0:2.1.2-1.fc12.x86_64
gparted-0:0.4.8-1.fc12.x86_64
kde-partitionmanager-0:1.0.0-2.fc12.x86_64
libvirt-0:0.7.1-15.fc12.x86_64

Regards,

Hans

_______________________________________________
Anaconda-devel-list mailing list
Anaconda-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/anaconda-devel-list
 

Thread Tools




All times are GMT. The time now is 07:49 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org